#include <IRremote.h>
#include <SimpleDHT.h>
#include <LiquidCrystal.h>
#define trigPin 11
#define echoPin 12
#define led13 13
 
int led = 10;                // the pin that the LED is atteched to
int sensor = 9;              // the pin that the sensor is atteched to
int state = LOW;             // by default, no motion detected
int val = 0;                 // variable to store the sensor status (value)

int pinDHT11 = 8;
SimpleDHT11 dht11;

LiquidCrystal lcd(7, 6, 5, 4, 3, 2);


void setup() {

  // LCD

  lcd.begin(16, 2);
  
  
  //infrared
  
  pinMode(led, OUTPUT);      // initalize LED as an output
  pinMode(sensor, INPUT);    // initialize sensor as an input
  Serial.begin(9600);        // initialize serial

  //distance

  Serial.begin (9600);
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  pinMode(led13, OUTPUT);

}

void loop(){

  //infrared
  
  val = digitalRead(sensor);   // read sensor value
  if (val == HIGH) {           // check if the sensor is HIGH
    digitalWrite(led, HIGH);   // turn LED ON
    delay(100);                // delay 100 milliseconds 
    
    if (state == LOW) {
      Serial.println("Motion detected!"); 
      state = HIGH;       // update variable state to HIGH
    }
  } 
  else {
      digitalWrite(led, LOW); // turn LED OFF
      delay(100);             // delay 100 milliseconds 
      
      if (state == HIGH){
        Serial.println("Motion stopped!");
        state = LOW;       // update variable state to LOW
    }
  }

  //distance

    long duration, distance;
    digitalWrite(trigPin, LOW);
    delayMicroseconds(2);
    digitalWrite(trigPin, HIGH);
    delayMicroseconds(10);
    digitalWrite(trigPin, LOW);
    duration = pulseIn(echoPin, HIGH);
    distance = (duration/2) / 29.1;
    if (distance < 10)
      { 
        digitalWrite(led13,HIGH);
      }
      else {
        digitalWrite(led13,LOW);
        }
        
        Serial.print(distance);
        Serial.println(" cm");
        delay(100);

  //temp

  
  Serial.print("Temperature and Humidity");
  
  byte temperature = 0;
  byte humidity = 0;
  byte data[40] = {0};
  if (dht11.read(pinDHT11, &temperature, &humidity, data)) {
    Serial.println("Read DHT11 failed");
    return;
  }  
  
    Serial.println("");
    Serial.println("Temp and Humidity: ");
    Serial.print((int)temperature); Serial.print(" *C, ");
    Serial.print((int)humidity); Serial.println(" %");
    delay(1000);  

    //LCD

  lcd.setCursor(0, 0);
  lcd.print("Temperature: ");
  lcd.setCursor(0, 1);
  lcd.print("Humidity:");
  lcd.setCursor(12, 0);
  lcd.print((int)temperature);
  lcd.setCursor(14, 0);
  lcd.print((char)223); lcd.print("C");
  lcd.setCursor(9, 1);
  lcd.print((int)humidity);
  lcd.setCursor(11, 1);
  lcd.print("%");
}
